Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.dom
Enum EndTagStyle

    java.lang.Object
      java.lang.Enum<EndTagStyle>
          org.apache.tapestry5.dom.EndTagStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EndTagStyle>

    public enum EndTagStyle

extends java.lang.Enum<EndTagStyle>

Part of a `MarkupModel`, used to define how end tags are handled when the `Document` in rendered out as a text stream.

Enum Constant Summary
`ABBREVIATE` Require an end tag, but abbreviate it if the element has no children.
`REQUIRE` Require an end tag always.

Method Summary
`static EndTagStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EndTagStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUIRE

    public static final EndTagStyle REQUIRE

  Require an end tag always. This is the default for most elements in HTML.

### ABBREVIATE

    public static final EndTagStyle ABBREVIATE

  Require an end tag, but abbreviate it if the element has no children. This is the only value that should be used in XML documents, but `DefaultMarkupModel` forces most tags to use `REQUIRE` for semi-obscure browser compatibility issues.

Method Detail

### values

    public static final EndTagStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EndTagStyle c : EndTagStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EndTagStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.